# CICADA

### File

`src/app/_models/settings.ts`

### Description

Web3 object interface

### Index

###### Properties

- engine
- provider

### Properties

engine
`engine: `any``
Type : `any`
An active web3 instance connected to the blockchain network.

provider
`provider: `any``
Type : `any`
The connection socket to the blockchain network.

    class Settings {
      /** CIC Registry instance */
      registry: any;
      /** A resource for searching through blocks on the blockchain network. */
      scanFilter: any;
      /** Transaction Helper instance */
      txHelper: any;
      /** Web3 Object */
      w3: W3 = {
        engine: undefined,
        provider: undefined,
      };

      /**
       * Initialize the settings.
       *
       * @param scanFilter - A resource for searching through blocks on the blockchain network.
       */
      constructor(scanFilter: any) {
        this.scanFilter = scanFilter;
      }
    }

    /** Web3 object interface */
    interface W3 {
      /** An active web3 instance connected to the blockchain network. */
      engine: any;
      /** The connection socket to the blockchain network. */
      provider: any;
    }

    /** @exports */
    export { Settings, W3 };

# result-matching ""

# No results matching ""